Listar templates de conversa
Este endpoint retorna templates de conversa conforme os filtros informados.
GET
/ConversationTemplateEste endpoint retorna templates de conversa conforme os filtros informados.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
EnableFilter | query | ConversationTemplateFilterEnable | Não | 0 = All; 1 = Enable; 2 = Disable | — |
OnlyApprovedTemplates | query | boolean | Não | — | — |
TenantId | query | integer · int32 | Não | — | — |
QueueIds | query | array<integer · int32> | Não | — | — |
Corpo da requisição
Esta operação não recebe corpo de requisição.
Exemplo de requisição
curl --request GET \
--url 'https://api.zild.ai/ConversationTemplate?EnableFilter={EnableFilter}&OnlyApprovedTemplates={OnlyApprovedTemplates}&TenantId={TenantId}&QueueIds={QueueIds}' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Sucesso ao retornar os templates | application/json · array<ConversationTemplateDto> |
Exemplo de resposta (200):
[
{
"id": 0,
"active": true,
"contentSid": "string",
"name": "string",
"message": "string",
"createdAt": "2026-09-22T18:00:00Z",
"conversationTemplateType": 0,
"contentVariables": {},
"approvalStatus": 0,
"botId": 0,
"language": "string",
"queueIds": [
0
],
"groupIds": [
0
]
}
]
Modelos de dados
ApprovalStatus
0 = NotRequested; 1 = Received; 2 = Pending; 3 = Approved; 4 = Rejected
integer
ConversationTemplateDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
active | boolean | Não | — | — |
contentSid | string | Não | — | aceita null |
name | string | Não | — | aceita null |
message | string | Não | — | aceita null |
createdAt | string · date-time | Não | — | — |
conversationTemplateType | ConversationTemplateType | Não | — | — |
contentVariables | object | Não | — | aceita null |
approvalStatus | ApprovalStatus | Não | — | — |
botId | integer · int32 | Não | — | — |
language | string | Não | — | aceita null |
queueIds | array<integer · int32> | Não | — | aceita null |
groupIds | array<integer · int32> | Não | — | aceita null |
ConversationTemplateFilterEnable
0 = All; 1 = Enable; 2 = Disable
integer
ConversationTemplateType
0 = Utility; 1 = Marketing; 2 = Authentication
integer